@import "../../../assets/styles/main.scss";

.countryRegionViewerMain {
  padding: 100px 0;
  position: relative;

  .downArrowPlanIcon {
    position: absolute;
    top: 0px;
    left: 0px;

    img {
      height: 189px;
      width: 228px;
    }
  }

  .countryRegionViewerContainer {
    @include container-medium-1;
    display: flex;
    flex-direction: column;
    gap: 50px;

    .countryGridSection {
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      gap: 20px;

      @include md {
        grid-template-columns: repeat(2, 1fr);
      }

      @include xs {
        grid-template-columns: repeat(1, 1fr);
      }
      a {
        height: 280px;
        @include xl {
          height: 245px;
        }
        @include lg {
          height: 220px;
        }
      }
    }

    .shoeMoreButton {
      min-width: 326px;
      @include vertical_align_center;

      @include lg {
        min-width: 172px;
      }

      button {
        width: 100%;
        max-width: rem(351);
        text-transform: unset;
        width: 326px;
        @include lg {
          padding: 20px;
          font-size: 18px;
        }
        @include sm {
          font-size: 16px;
        }
        @include xs {
          padding: 15px;
        }
        @include xxxs {
          padding: 10px;
          font-size: 14px;
        }
      }
    }
  }
}
